Page MenuHomePhabricator

Popups: Code and documentation refactorings and clean-ups
Closed, ResolvedPublic

Description

Placeholder ticket for refactoring patches (a.k.a. "technical stories") that have been created as part of other tickets, but are not strictly necessary to resolve a user story.

Acceptance criteria:

  • Code is in a state that makes us feel comfortable doing estimations and making promises.
  • All patches are resolved before the next WMDE-QWERTY-Sprint-2019-02-06 starts.

Patch-For-Review:

Event Timeline

Change 486522 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Fix a series of issues with misdetected reference elements

https://gerrit.wikimedia.org/r/486522

Change 487013 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Simplify mediaWiki.msg mock in renderer test

https://gerrit.wikimedia.org/r/487013

Change 486847 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Mark optional elements in the PreviewModel specification as such

https://gerrit.wikimedia.org/r/486847

Change 486845 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Remove unused model elements from renderer tests

https://gerrit.wikimedia.org/r/486845

Change 486718 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Inline code setting target="_blank" in renderReferencePreview()

https://gerrit.wikimedia.org/r/486718

thiemowmde triaged this task as Normal priority.Jan 30 2019, 3:57 PM
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-01-23 board.
thiemowmde moved this task from Backlog to Doing on the Reference Previews board.

Change 487155 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Show reference previews only on self-links

https://gerrit.wikimedia.org/r/487155

Change 487158 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Make all render functions return jQuery objects instead of strings

https://gerrit.wikimedia.org/r/487158

thiemowmde updated the task description. (Show Details)Jan 30 2019, 6:59 PM

Change 486522 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix a series of issues with misdetected reference elements

https://gerrit.wikimedia.org/r/486522

Change 486845 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove unused model elements from renderer tests

https://gerrit.wikimedia.org/r/486845

Change 486847 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Mark optional elements in the PreviewModel specification as such

https://gerrit.wikimedia.org/r/486847

Change 487155 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Show reference previews only on self-links

https://gerrit.wikimedia.org/r/487155

Change 487013 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Simplify mediaWiki.msg mock in renderer test

https://gerrit.wikimedia.org/r/487013

Change 487486 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Streamline jQuery object creation

https://gerrit.wikimedia.org/r/487486

thiemowmde updated the task description. (Show Details)Feb 1 2019, 11:52 AM
thiemowmde updated the task description. (Show Details)

Change 486718 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Inline code setting target="_blank" in renderReferencePreview()

https://gerrit.wikimedia.org/r/486718

thiemowmde updated the task description. (Show Details)Feb 4 2019, 9:52 AM

Change 487486 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Streamline jQuery object creation

https://gerrit.wikimedia.org/r/487486

Change 487158 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Make all render functions return jQuery objects instead of strings

https://gerrit.wikimedia.org/r/487158

thiemowmde closed this task as Resolved.Feb 20 2019, 10:07 AM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)